# Phaeoexplorer web portal

The Phaeoexplorer database for marine brown algae is available at [https://phaeoexplorer.sb-roscoff.fr](https://phaeoexplorer.sb-roscoff.fr).

## General

The Phaeoexplorer website contains information and resources on the different species concerned by the project.
The Phaeoexplorer is an ongoing project, and the genome data is not yet publicly available.

### Meaning of the icons

The website uses a system of icons to display particular information about 
an organism. When you hover on these icons, 
the information is displayed as a text box:

- **Sequencing types** ![sequencing icons](./imgs/sequencing_phaeo.png): the nature of the 
    sequencing(s) made for the species (Illumina, Nanopore, PacBio, ...)
- **Genome assembly score** ![assembly score icons](./imgs/assembly_score_phaeo.png): a rating of the quality 
    of the genome assembly, ranges from 1 star (draft genome) to 3 stars (near chromosome scale assembly)
- **Best assembly** ![best assembly icon](./imgs/best_phaeo.png): Whether the organism has 
    the best assembly for the species or not
  
### Top menu

![top menu](./imgs/header_menu_phaeo.png)

The top header menu can be used to navigate the different pages of the website.

A search function is available in the search box at the top right of the header menu
You can search for a substring of your favorite organism. 

For example, for a search with the string `ecto`:
![example search results](./imgs/search_results_phaeo.png)

## Home page

### Browse taxonomy

The home page shows the taxonomy tree of the species referenced on 
the website. This taxonomy has a search function allowing easy access 
to a particular species. Clicking on one of the leaf nodes of the taxonomy 
takes the user to the organism page of this species.

![taxonomy tree](./imgs/taxonomy_tree_phaeo.png)
![taxonomy tree search](./imgs/taxonomy_tree_search_phaeo.png)

### Browse pictures

The home page also contains three sections of species, where only the 
strains with the best assembly for the species are displayed: 

- **Phaeoexplorer genomes**: contains species for which GFF files are available
- **Upcoming Phaeoexplorer genomes**: contains species for which GFF files are not yet available
- **Published brown algal genomes**: contains public species that have not been sequenced by the 
  Phaeoexplorer project. These public organisms pages are accessible to everyone.
  
By clicking on a photo, you can access to the organism page, with restricted access for unpublished data.
(cf. [Organism pages](#organism-pages))
 
![phaeoexplorer genomes](./imgs/gallery_phaeo.png)

![upcoming phaeoexplorer genomes](./imgs/list_home_phaeo.png)

![public genomes](./imgs/public_genomes_phaeo.png)

## "All strains" page

This page displays all organisms included in the Phaeoexplorer website, 
and not only those with the best assembly (as opposed to the home page).
Three sections are vailable, as on the home page (cf. [Browse pictures](#browse-pictures))

## Organism pages

***Restricted access*** for unpublished data

A dedicated web page exists for every species of the Phaeoexplorer project.

These pages are currently only accessible to members of the Phaeoexplorer consortium.
Only the public organisms have unrestricted access. 

A same species can have different strains/sex assemblies, in which case a page is 
available for each strain/sex assembly of the species. The best assembly for the species is indicated using the ![best assembly](./imgs/best_phaeo.png) icon preceding 
the organism name.

### Description

A small header part shows the name of the organism, its assembly score if any, and the links to 
some available external ressources (NCBI, AlgaeBase, WoRMS, genome browser, ...)

The Description box contains the genus name, species name, 
strain name and sex of the organism, as well as one or more picture(s) for 
this organism
  
![organism description](./imgs/portal_org_description.png)

### Resources

This box contains the resources available for the species:
      
- The data archive: a tar.gz file that contains all 
  data available for the species (genome, annotation, proteome, de novo transcriptome, ...).
- A link to the genome browser (JBrowse)
- A link to the genome database (Tripal pages)
  allowing the user to search and browse specific mRNAs or proteins
  among other things (cf. [Tripal documentation](./tripal.md))
- Links to external databases: NCBI, AlgaeBase, WoRMS, Roscoff Culture Collection (RCC), ...

![organism resources](./imgs/resources_org_phaeo.png)    

### Assembly, annotation and BUSCO metrics

The **Assembly** metrics box displays different metrics for the organism 
assembly.

The **Annotation** metrics box displays different metrics for the organism 
annotation.

The **BUSCO** metrics box displays BUSCO metrics for the organism.
  
![organism metrics](./imgs/metrics_org_phaeo.png)

### Additional genome assemblies

This box contains links to other strains/sex pages available for the species, if any.
  
![](./imgs/additional_assemblies_org_phaeo.png)
    
    
## Download page 

***Restricted access***

This page of the website lists all available data 
generated by the project as downloadable tar.gz archives:

- "All" archives: each archive contains a specific type of data 
  (all genomes, all GFF files, all transcriptomes, all proteomes, ... )
  of all species
  
- Individual archives: each archive contains all types of data generated for all strains of a single 
  species (genome, GFF file, transcriptome, proteome, ...)

![](./imgs/downloads_phaeo.png)
      

## Summary table page

***Restricted access***

This page synthesizes the different metrics describing organisms' data:

- The entire summary table is available as a tabulated file for download
- The page contains several tables: genome assemblies metrics, structural annotation metrics, BUSCO metrics
  